# (c) 2019 Christophe Gueneau
from microbit import *

class mb_driver_moteur():
    def __init__(self):
        sleep(10)
        self.m1_dir = self.m2_dir = 1
        self.m1_vit = self.m2_vit = 0
        self.set_register(0x84, 0x02, 0x00)     # PWM à 3921 Hz

    def set_register(self, reg, val1, val2):
        val = bytes((reg, val1, val2))
        i2c.write(0x0f, val)
        sleep(4)

    def vit(self, mot, vit):
        if mot == 1:
            self.m1_vit = vit
        if mot == 2:
            self.m2_vit = vit

        # direction
        if self.m1_vit >= 0 and self.m2_vit >= 0:
            self.set_register(0xaa, 0x0a, 0x00)
        if self.m1_vit >= 0 and self.m2_vit < 0:
            self.set_register(0xaa, 0x06, 0x00)
        if self.m1_vit < 0 and self.m2_vit >= 0:
            self.set_register(0xaa, 0x09, 0x00)
        if self.m1_vit < 0 and self.m2_vit < 0:
            self.set_register(0xaa, 0x05, 0x00)

        # vitesse
        self.set_register(0x82, int(abs(self.m1_vit)/100*255), int(abs(self.m2_vit)/100*255))

